Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLAQR1

    java.lang.Object
      org.netlib.lapack.DLAQR1

    public class DLAQR1

extends java.lang.Object

    DLAQR1 is a simplified interface to the JLAPACK routine dlaqr1.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *       Given a 2-by-2 or 3-by-3 matrix H, DLAQR1 sets v to a
     *       scalar multiple of the first column of the product
     *
     *       (*)  K = (H - (sr1 + i*si1)*I)*(H - (sr2 + i*si2)*I)
     *
     *       scaling to avoid overflows and most underflows. It
     *       is assumed that either
     *
     *               1) sr1 = sr2 and si1 = -si2
     *           or
     *               2) si1 = si2 = 0.
     *
     *       This is useful for starting double implicit shift bulges
     *       in the QR algorithm.
     *
     *
     *       N      (input) integer
     *              Order of the matrix H. N must be either 2 or 3.
     *
     *       H      (input) DOUBLE PRECISION array of dimension (LDH,N)
     *              The 2-by-2 or 3-by-3 matrix H in (*).
     *
     *       LDH    (input) integer
     *              The leading dimension of H as declared in
     *              the calling procedure.  LDH.GE.N
     *
     *       SR1    (input) DOUBLE PRECISION
     *       SI1    The shifts in (*).
     *       SR2
     *       SI2
     *
     *       V      (output) DOUBLE PRECISION array of dimension N
     *              A scalar multiple of the first column of the
     *              matrix K in (*).
     *
     *     ================================================================
     *     Based on contributions by
     *        Karen Braman and Ralph Byers, Department of Mathematics,
     *        University of Kansas, USA
     *
     *     ================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DLAQR1()`

Method Summary
`static void` | `DLAQR1(int n, double[][] h, double sr1, double si1, double sr2, double si2, double[] v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLAQR1

    public DLAQR1()

Method Detail

### DLAQR1

    public static void DLAQR1(int n,
                              double[][] h,
                              double sr1,
                              double si1,
                              double sr2,
                              double si2,
                              double[] v)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD